<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Syndication::AbstractParser</name>
    <filename>classSyndication_1_1AbstractParser.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AbstractParser</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>a4959b9711e82d32c42fdce5924662cca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>aadb1410dd4b433c5bccad209779fd0b4</anchor>
      <arglist>(const DocumentSource &amp;source) const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>format</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>a52107c6dcf0b43b782b0b7dd7db7f69f</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SpecificDocumentPtr</type>
      <name>parse</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>a9b00b345e30317665f3d7ed7485e2af9</anchor>
      <arglist>(const DocumentSource &amp;source) const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Category</name>
    <filename>classSyndication_1_1Category.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Category</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>a5b1a72d47cb6f74a9aa9badf4baf95dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>a943223ed79a4d8d7820b1e4eeed0c966</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>a1248fa5ccf50838898b77ac6e6aca698</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>label</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>aa831662aac039136be33c0346a335407</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>scheme</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>aabe6e8e53330f29f76a880ff3d223fcf</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>term</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>aea512316cfb8dd38a19842c6715a5f5e</anchor>
      <arglist>() const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::DataRetriever</name>
    <filename>classSyndication_1_1DataRetriever.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dataRetrieved</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>af5dd1af46dcd51d6a166c73d25b2894e</anchor>
      <arglist>(const QByteArray &amp;data, bool success)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DataRetriever</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a86a9e2c1c9a6cccf047a41d3e1371cc7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DataRetriever</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a90c903044d2982affef233fa112d3ebd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a65cd5b3bf022f0e67c66c1660c12a258</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>ad06264b6ae028406b2e797b8baad2b2c</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>retrieveData</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a613a696cbae5e028dc3e867d6f72b34c</anchor>
      <arglist>(const KUrl &amp;url)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::DocumentSource</name>
    <filename>classSyndication_1_1DocumentSource.html</filename>
    <member kind="function">
      <type></type>
      <name>DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a4e7cbd8d40983e813801c69ef3c8dc1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a2343cc34f2282d505e53e62b57034330</anchor>
      <arglist>(const QByteArray &amp;source, const QString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a8809367ba9273136445c3496bf353389</anchor>
      <arglist>(const DocumentSource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a7ed881b313c82e3f96a0fbfdc0f3e510</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>asByteArray</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a20d8d71afdcc3ee647416e9597a7649c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDomDocument</type>
      <name>asDomDocument</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>af0d347612fcf1a94f46ab25695c83e49</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>hash</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a603bac1f8ffa2e4f2b40228691822e64</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DocumentSource &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>ae4dbe3fdc31e75c683bc603d27a4ccb8</anchor>
      <arglist>(const DocumentSource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>size</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a67f1520fd0c1935fce4183e3552c55fa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a14f92a64f3579ae9b40d93389156c35c</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::DocumentVisitor</name>
    <filename>classSyndication_1_1DocumentVisitor.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentVisitor</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a6450ea3ef547588c98a76860c610b5ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a161756a3359bf55ab1f1e07efca68e89</anchor>
      <arglist>(SpecificDocument *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitAtomEntryDocument</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>aec4e9a24f2a102cf715726a338a9911c</anchor>
      <arglist>(Syndication::Atom::EntryDocument *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitAtomFeedDocument</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>ae384a113a1f06f3a34a4632616a3dace</anchor>
      <arglist>(Syndication::Atom::FeedDocument *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRDFDocument</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a6de85d2afd855a3326d6ca389c842877</anchor>
      <arglist>(Syndication::RDF::Document *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRSS2Document</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a0b50b3b0d6cf48107525951463378988</anchor>
      <arglist>(Syndication::RSS2::Document *document)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::ElementWrapper</name>
    <filename>classSyndication_1_1ElementWrapper.html</filename>
    <member kind="function">
      <type></type>
      <name>ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a7337caab58c0ac59d7f50a7b8edd384d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ad9cf8a67b8a7cdea2b8b4d8ceb95dd0e</anchor>
      <arglist>(const ElementWrapper &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>aab71ab6955478247350f429f81f9b744</anchor>
      <arglist>(const QDomElement &amp;element)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>af036b911d40cf30482a33467f7e4f569</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>attribute</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>afea6cda913b1eedb7d2a0a65cd52c153</anchor>
      <arglist>(const QString &amp;name, const QString &amp;defValue=QString()) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>attributeNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a345a64c0e12bf7adf309e7e37cf14b21</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;localName, const QString &amp;defValue=QString()) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>childNodesAsXML</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a4676126ec8a15249dc1c1660aa7d2d58</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>completeURI</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ac0cdd7bff1b60767aead22f1fde3eb31</anchor>
      <arglist>(const QString &amp;uri) const </arglist>
    </member>
    <member kind="function">
      <type>const QDomElement &amp;</type>
      <name>element</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>af824ded1a7126fdec9728f55e390ef8c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QDomElement &gt;</type>
      <name>elementsByTagName</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a236288b49671475d174c0e1082c45b20</anchor>
      <arglist>(const QString &amp;tagName) const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QDomElement &gt;</type>
      <name>elementsByTagNameNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a48f0c36a936e1a881daa7f3362959b77</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;tagName) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extractElementText</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a429af2c053034e112c28c48b9b581f3a</anchor>
      <arglist>(const QString &amp;tagName) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extractElementTextNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a363e46c244380387fa84c757850ae0e3</anchor>
      <arglist>(const QString &amp;namespaceURI, const QString &amp;localName) const </arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>firstElementByTagNameNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a982c75c5bc27b4f1ac7bc50ec3b016d6</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;tagName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasAttribute</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a3b58206c31b20e9f9d66627b7a59153d</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasAttributeNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a623ed016560a54819dfdb5f119d6a5a3</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;localName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a8460c009ce48d2f5b4a0326658564643</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ElementWrapper &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ad2f036fdbb23af0ac410f022e625d5bf</anchor>
      <arglist>(const ElementWrapper &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>af23e1ef380d9d459f3b70dc04ffe24bf</anchor>
      <arglist>(const ElementWrapper &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a577e5f928a53576ecfa15923df37dabb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>xmlBase</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a2f2a4a643133abab7b64419be463d021</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>xmlLang</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a4e106988a795dd746354d2a6ecdc2b4d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>childNodesAsXML</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a4439ff7ffd489574ce73b14491c5f5b7</anchor>
      <arglist>(const QDomElement &amp;parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Enclosure</name>
    <filename>classSyndication_1_1Enclosure.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Enclosure</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a34b31383444e097e18a5bf2f2db3e71b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a260f514932c2110a893bdfdbf5fda028</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>duration</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a3bb61a20780d51ec304434a11fde413a</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a5ab638c218e65816237219edd0a48f86</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>length</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a0cb82973e0a922541bc58892a26d38d1</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>adee6f233d44f5eaa545d459df572b4d7</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a024aa8f5390758cdd9bcbb1133d7a53d</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a7b545a8c854114633e067eaa1ecb6b7a</anchor>
      <arglist>() const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Feed</name>
    <filename>classSyndication_1_1Feed.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Feed</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a1850c43834d96e2bc6eee3c769e36c7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QMultiMap&lt; QString, QDomElement &gt;</type>
      <name>additionalProperties</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a8a760507353d77cb87fda9429aa0af32</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; PersonPtr &gt;</type>
      <name>authors</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>ac1d372de8010cf538b34475a4becc4fe</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; CategoryPtr &gt;</type>
      <name>categories</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a673c669e9a8a1ab5578af894022b8309</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>copyright</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a49ea91e43063750c325615eef171dbfa</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>aac48ab3427125c74fc683d4e05ff8ba2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a8ff12588d0ae9744698d392be8a7c26e</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ImagePtr</type>
      <name>image</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a9b6cbffdd2b8b961d82626cc71bc4cad</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; ItemPtr &gt;</type>
      <name>items</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>ac5ef8b689353ca3b7e999b6c8a05e51d</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>language</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a33e1d1fae7e2b63cad1dde5bde50aad3</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a40d4f241957672cee68c5a1fc3819db3</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SpecificDocumentPtr</type>
      <name>specificDocument</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a3695b5355caa59843fcd42c61488284b</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>ae655fd460fcac052f5bf86d6289f28f0</anchor>
      <arglist>() const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::FileRetriever</name>
    <filename>classSyndication_1_1FileRetriever.html</filename>
    <base>Syndication::DataRetriever</base>
    <member kind="signal">
      <type>void</type>
      <name>permanentRedirection</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a518804a22f9c9507e17039b9c5d3949f</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FileRetriever</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>ad600efc83f80ea7029369258cac1167d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FileRetriever</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a7e944695846c61f6863ff47716fe8c76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a8acd1f7620ebcc5fd5840b5bc19e9776</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a1ae7ac893077750cd8f2366b3eb4b38c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>retrieveData</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a313251adcaed47131fc9d7ab353c0d6f</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setUseCache</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>aef4c6474705eab101fbae10e03be02a6</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setUserAgent</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a8c4a16966f4c5220c778af12dcc72710</anchor>
      <arglist>(const QString &amp;userAgent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Image</name>
    <filename>classSyndication_1_1Image.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Image</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>aaf87facc57b9190538f6ca928cce9c66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a91e86060ea17c4cb9c1ada03f352d1e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a2e53eae8eb5a998089ddfd7c1953282f</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>height</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a1cf65223922de6ce7f86ebbd590fa86b</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>aa2753731f5e6baa9d7abc46cf6df1252</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a2d012f0b28097bb9d5a5a846bc2bf85d</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a537f36bb1a531a0a9a971fe11973f535</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a5453545053af89ae705cc3153c5a7927</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>width</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a1b5daee359192235e7718e064409c9ef</anchor>
      <arglist>() const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Item</name>
    <filename>classSyndication_1_1Item.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Item</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ad7af46029868552f9b2a0c933fbc4504</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QMultiMap&lt; QString, QDomElement &gt;</type>
      <name>additionalProperties</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ae4402f2dbe5f037b3c8e6c7952797c36</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; PersonPtr &gt;</type>
      <name>authors</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>aa087dfb8de913867b57454a00ca879c1</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; CategoryPtr &gt;</type>
      <name>categories</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a8c967674c9defa4803b2cd3491d69ce7</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>commentPostUri</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>aa5ee1acd15750599422351d69e750087</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>commentsCount</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ad512b5565dbc376ab6f29f76f62e1d4c</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>commentsFeed</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a563b099a765b3fb5f5c13359925244aa</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>commentsLink</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a54bd894ccffa3b8ebe8996ebbfd1aeee</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>content</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ab8a591b9c995a369ed563f68477ffa42</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual time_t</type>
      <name>datePublished</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a03443481b71555f43180ed8015aa6507</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual time_t</type>
      <name>dateUpdated</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a4d449a5b36b8aedc836b47cf87eff829</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>aa8b07f351b3d2d02f00416ce672e74cf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ac0bdee4a6a8c931dd0d1945d5c5e796e</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; EnclosurePtr &gt;</type>
      <name>enclosures</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a3a6e84f85c53949f4e3fde64fa251522</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>id</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a0a3eb6c4120491b5d9f1950c8ea72ebc</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>language</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a4b6bbc167939906af7481faf56d8ba2e</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>aa3f088b7016315e8c183f5ed48d64e01</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SpecificItemPtr</type>
      <name>specificItem</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a8814f44be0afe77c29805db8001f6873</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>adc1993a4942b5d9c74ac52e4fd117bd4</anchor>
      <arglist>() const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Loader</name>
    <filename>classSyndication_1_1Loader.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>loadingComplete</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>abc810aa819a7c8edc5aff356a2920e6a</anchor>
      <arglist>(Syndication::Loader *loader, Syndication::FeedPtr feed, Syndication::ErrorCode error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>ac70585eee719d1d6879539bc3e63f541</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KUrl</type>
      <name>discoveredFeedURL</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a3d02066a1d42193ee9914acd9ca5727f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ErrorCode</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>aebd2315194778366e1aa1b281c70a64d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFrom</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a966e3290ce15d5c195d25dcc901b435a</anchor>
      <arglist>(const KUrl &amp;url, DataRetriever *retriever)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFrom</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a6be7f5d4672a0758cebcc2ec94a8aaab</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>retrieverError</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>ad50645b8bc53096830f036a814b481ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Loader *</type>
      <name>create</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>af904ff721d294dab91d0d3bdfd6c4c6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Loader *</type>
      <name>create</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a811880955f7750d0f8d9a782d0fefc46</anchor>
      <arglist>(QObject *object, const char *slot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Mapper</name>
    <filename>classSyndication_1_1Mapper.html</filename>
    <templarg>T</templarg>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Mapper</name>
      <anchorfile>classSyndication_1_1Mapper.html</anchorfile>
      <anchor>ad943f9a3f48df55f3d24cfbc5a665e58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual boost::shared_ptr&lt; T &gt;</type>
      <name>map</name>
      <anchorfile>classSyndication_1_1Mapper.html</anchorfile>
      <anchor>a5c497ef65bce02c0a9dbe29492daadd9</anchor>
      <arglist>(SpecificDocumentPtr doc) const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::OutputRetriever</name>
    <filename>classSyndication_1_1OutputRetriever.html</filename>
    <base>Syndication::DataRetriever</base>
    <member kind="function">
      <type></type>
      <name>OutputRetriever</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>ac2bc4fb8c83f2a1c1e85e4d95ceefa38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OutputRetriever</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>a7220001d057f39cbc25885573be8b19a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>a4ae3b97ad2ffe3299e687eadfa36d374</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>a25c573996f040c1f0b1141747e96093b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>retrieveData</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>ad5c039650a6583b31dd30038a223eda2</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::ParserCollection</name>
    <filename>classSyndication_1_1ParserCollection.html</filename>
    <templarg></templarg>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ParserCollection</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>a1498602b04ddfe02ebd6adf04ff9039d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>changeMapper</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>a502192561d9a6dc6f1aaa9c19250c574</anchor>
      <arglist>(const QString &amp;format, Mapper&lt; T &gt; *mapper)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ErrorCode</type>
      <name>lastError</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>afb2f14038a29b3131109fb41249fbc2f</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual boost::shared_ptr&lt; T &gt;</type>
      <name>parse</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>ae71af2ec3e5322dba2b4cf90ce6e53f6</anchor>
      <arglist>(const DocumentSource &amp;source, const QString &amp;formatHint=QString())=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>registerParser</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>aee788d5173629c4051774f7a5c3de558</anchor>
      <arglist>(AbstractParser *parser, Mapper&lt; T &gt; *mapper)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Person</name>
    <filename>classSyndication_1_1Person.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Person</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>aeaa61adf99086a9fefb1558ef180f23a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>ad548baa57fb27e48d1551f616a95768d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>email</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>ab6a71bfc9bc24a6d1eb9a0626de63c7f</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>a1e35e6d809a1fca8d058979f8b0c343c</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>a69a5df5470fbb3a1fa06b150ed489988</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>a92fef2be2caebcc7855be3a1ab8c568b</anchor>
      <arglist>(const Person &amp;other) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>uri</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>aa91960e399bac9016e2129f6df1d7fcb</anchor>
      <arglist>() const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::SpecificDocument</name>
    <filename>classSyndication_1_1SpecificDocument.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SpecificDocument</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>af3e4c34433054b106f164a901e8a4661</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>a70cdb2a037b4a7a76cbdcc1df7e8a6b9</anchor>
      <arglist>(DocumentVisitor *visitor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>a7597247fc60d53e8ca4fb6c167b8d26a</anchor>
      <arglist>() const  =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isValid</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>ac7cf96ca720a944f379e32687fe7a6b3</anchor>
      <arglist>() const  =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::SpecificItem</name>
    <filename>classSyndication_1_1SpecificItem.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SpecificItem</name>
      <anchorfile>classSyndication_1_1SpecificItem.html</anchorfile>
      <anchor>ac1a1e16080534515b04c1afe227acccb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1SpecificItem.html</anchorfile>
      <anchor>a3eac407d0c49c86661a239909c1cd3b8</anchor>
      <arglist>(SpecificItemVisitor *visitor)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::SpecificItemVisitor</name>
    <filename>classSyndication_1_1SpecificItemVisitor.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SpecificItemVisitor</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>aa0f39b40b82213e23dbe620d8f4975bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>a80cf7b1bfbc6cdf2729b99a71555aa32</anchor>
      <arglist>(SpecificItem *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitAtomEntry</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>a9fc541d0dd9ff1b43497f3c10e84ee25</anchor>
      <arglist>(Syndication::Atom::Entry *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRDFItem</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>ad0f388af41f2ca752ab1046513e47b08</anchor>
      <arglist>(Syndication::RDF::Item *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRSS2Item</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>a33f0b312dd70629a96566efb4ca31876</anchor>
      <arglist>(Syndication::RSS2::Item *item)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Syndication</name>
    <filename>namespaceSyndication.html</filename>
    <class kind="class">Syndication::AbstractParser</class>
    <class kind="class">Syndication::Category</class>
    <class kind="class">Syndication::DataRetriever</class>
    <class kind="class">Syndication::DocumentSource</class>
    <class kind="class">Syndication::DocumentVisitor</class>
    <class kind="class">Syndication::ElementWrapper</class>
    <class kind="class">Syndication::Enclosure</class>
    <class kind="class">Syndication::Feed</class>
    <class kind="class">Syndication::FileRetriever</class>
    <class kind="class">Syndication::Image</class>
    <class kind="class">Syndication::Item</class>
    <class kind="class">Syndication::Loader</class>
    <class kind="class">Syndication::Mapper</class>
    <class kind="class">Syndication::OutputRetriever</class>
    <class kind="class">Syndication::ParserCollection</class>
    <class kind="class">Syndication::Person</class>
    <class kind="class">Syndication::SpecificDocument</class>
    <class kind="class">Syndication::SpecificItem</class>
    <class kind="class">Syndication::SpecificItemVisitor</class>
    <member kind="enumeration">
      <type></type>
      <name>ErrorCode</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Success</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4afc529f9c4f5522dd1b4119293e398a68</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Aborted</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9fff8c2ba122f9fb756985915c1d4d22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Timeout</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a2cff188be930f0b29425414fedd6cc71</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnknownHost</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a7930a09b176418452a009d69ee4297d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FileNotFound</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a602d3acd5244927ee6fb208118ac4fae</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OtherRetrieverError</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a3a25b1f0a209f17222436aea681921d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidXml</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9192159f82cde4c10821c51c2b47813a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>XmlNotAccepted</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9628f4626b0a506ed8aa2dbcf0bdb83d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidFormat</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9c3f3a4173589c8823cf59495592512b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>commentApiNamespace</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>a3e724a3a649179ac0aa22580980c8ca8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FeedPtr</type>
      <name>parse</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>ac1273810308439c2567fdddf47859149</anchor>
      <arglist>(const DocumentSource &amp;src, const QString &amp;formatHint=QString())</arglist>
    </member>
    <member kind="function">
      <type>ParserCollection&lt; Feed &gt; *</type>
      <name>parserCollection</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>af2e53b977bf4b6d9a28ee4cbffd482a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>slashNamespace</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>a0f9d4576c4bb5e241eb33f2257a271be</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>syndication - an RSS/Atom parser library.</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
